<?php
$servername  = 'localhost';
$dbname='hdjr';//数据库名称，需修改为您当前使用的库名称
$tbname='post';//数据表名称，不用修改
$name='root';//数据库用户名，需修改
$password='111111';//数据库链接密码，需修改

require_once 'smarty/libs/Smarty.class.php';
$smarty = new Smarty(); //初始化类
$smarty->template_dir = "smarty/templates/templates"; //设置模板目录
$smarty->compile_dir = "smarty/templates/templates_c"; //设置编译目录
$smarty->config_dir = "smarty/templates/config"; //配置文件目录
$smarty->cache_dir = "smarty/templates/cache"; //
$smarty->caching = false;

$db=mysql_connect($servername,$name,$password)or die ('服务器连接错误。');
$ii=mysql_select_db("$dbname")or die("不能选择数据库");
mysql_query("set names 'gbk'");
?>